<div class="login-container">
  <div class="close" (click)="closeDialog()"></div>
  <img [src]="'assets/logo/Windflower_Logo.png'" class="icon" />
  <!--
  <h1 mat-dialog-title class="loginFormTitle">
    {{ 'form.login.titleGuest' | translate }}
  </h1>-->
  <div mat-dialog-content fxLayout="column" fxLayoutGap="20px">
    <!-- old guest login
      <div class="loginForm">
        <div class="forgot-password">
          {{ 'form.login.guest' | translate }}
        </div>
        <div class="left-button">
          <button
            mat-raised-button
            routerLink="/public"
            class="loginButtonGuest"
            type="submit"
            (click)="closeDialog()"
            cdkFocusInitial
          >
            {{ 'form.label.loginGuest' | translate }}
          </button>
        </div>
      </div>
    -->
    <h1 class="login-title" mat-dialog-title>
      {{ 'form.login.title' | translate }}
    </h1>
    <div class="login-form">
      <form (ngSubmit)="login(data)">
        <!-- input field email -->
        <mat-form-field>
          <mat-label>{{ 'form.label.mail' | translate }}</mat-label>
          <input
            type="mail"
            matInput
            [(ngModel)]="data.mail"
            [ngModelOptions]="{ standalone: true }"
            required
            #mail="ngModel"
          />
        </mat-form-field>

        <!-- email is required error -->
        <mat-error
          *ngIf="mail.invalid && (mail.dirty || mail.touched)"
          class="errors"
        >
          <mat-icon>warning</mat-icon>
          <p>{{ 'error.login.mail' | translate }}</p>
        </mat-error>

        <!-- input field password-->
        <mat-form-field>
          <mat-label>{{ 'form.label.password' | translate }}</mat-label>
          <input
            matInput
            [type]="hide ? 'password' : 'text'"
            type="password"
            matInput
            [(ngModel)]="data.password"
            [ngModelOptions]="{ standalone: true }"
          />
          <mat-icon matSuffix (click)="hide = !hide">{{
            hide ? 'visibility_off' : 'visibility'
          }}</mat-icon>
        </mat-form-field>

        <mat-checkbox>{{ 'form.login.stay' | translate }}</mat-checkbox>

        <div class="action-container">
          <div class="left-container">
            <a (click)="openResetPasswordModal()">{{
              'form.login.forgotpassword' | translate
            }}</a>
            <span
              >{{ 'form.login.newto' | translate }}
              <a (click)="redirectToRegister()">
                {{ 'form.login.freeregister' | translate }}</a
              ></span
            >
          </div>

          <div class="right-container">
            <button
              mat-button
              class="light-pill-button"
              type="submit"
              (click)="login(data)"
              cdkFocusInitial
            >
              {{ 'form.label.login' | translate }}
            </button>
            <div></div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
